gvm_json_pull_event_t Struct Reference

Event generated by the JSON pull parser. More...

`#include <jsonpull.h>`

## Data Fields

gvm_json_pull_event_type_t | type
| Type of event.
GQueue * | path
| Path to the event value.
cJSON * | value
| Value for non-container value events.
gchar * | error_message
| Error message, NULL on success.

## Detailed Description

Event generated by the JSON pull parser.

## Field Documentation

## error_message

gchar* gvm_json_pull_event_t::error_message

Error message, NULL on success.

## path

GQueue* gvm_json_pull_event_t::path

Path to the event value.

## type

gvm_json_pull_event_type_t gvm_json_pull_event_t::type

Type of event.

## value

cJSON* gvm_json_pull_event_t::value

Value for non-container value events.

The documentation for this struct was generated from the following file:

- util/jsonpull.h